# Joshua M. Boniface
----------------
## Linux System Administrator
#### joshua@boniface.me | 289-208-2830
#### 1483 Epping Court, Burlington, ON L7M1P7
----------------

## <u>Profile</u>

I am a driven, service-oriented individual with a strong knowledge of computer networking and related fields. I enjoy working alone or with a team, and find great joy interacting with my peers, clients and superiors. I am independent and goal focused, and I am always seeking out new knowledge to broaden my skill set and contribute to my development. My ideal position would let me use my skills at multitasking, communication and in the computer field in an exciting and interesting work environment. I work towards enabling an Internet-connected world and can assist that endeavor in its technical implementation.

## <u>Skills and Qualifications</u>

Extensive experience with technologies such as:

* Debian GNU/Linux and Red Hat Enterprise Linux environments
* Linux storage subsystems, including various Linux filesystems, RAID, and Ceph object storage
* Administration of LAMP and Postfix/Courier/Dovecot stacks, BIND9 DNS, ISC-DHCP, Linux KVM/QEMU & Xen virtualization, LDAP and RADIUS

Advanced knowledge of:

* Internetwork routing and advanced networking, including network design, with a focus on Cisco and open-source technologies
* Network and process documentation, including network diagramming
* In-depth troubleshooting and post-mortem analysis

## <u>Educational History</u>

### Mohawk College
##### Hamilton, ON
#### Network Engineering and Security Analyst
#### Sep. 2008 - Dec. 2012

### Carleton University
##### Ottawa, ON
#### Batchelor of Computer Science
#### Sep. 2007 - Apr. 2008

## <u>Employment History</u>

### VM Farms, Inc.
##### Toronto, ON
#### Linux System Administrator (DevOps)
#### Aug. 2016 - Present

### Clearcable Network Services
##### Hamilton, ON
#### Linux System Administrator
#### Jan. 2013 – Aug. 2016

In the role of Linux System Administrator, I used my skills with internetworking and Linux servers to ensure the proper operation of the Clearcable Networks Standard Operating Environment, a Debian GNU/Linux-based Internet Service Provider platform running on Cisco UCS hardware, and using Xen virtualization and bcfg2 configuration management. This included management of DNS with BIND9; ISC DHCP in advanced configurations; Postfix/Courier email stack; monitoring with Icinga and Munin; server hardware maintenance and support including full system rebuilds, hardware performance analysis and troubleshooting. I contributed advancements to the platform, assisting in its continued development and growth, including a major distribution upgrade project and implementation of live migration functionality to the platform using DRBD and Xen on a per-VM level. During oncall rotation and daily support tasks, I assisted in the deployment and maintenance of service provider networking, including Internet routing, CMTS/DOCSIS, and VoIP access technologies to ensure the smooth operation of client networks.

### HHS Population Health Research Institute
##### Hamilton, ON
#### Systems Administrator (Student)
#### Sept. 2010 – Aug. 2011

As a student Co-op administrator, I was responsible for day-to-day support of desktop systems and users, including deployment of new systems, hardware replacement/reimaging, and management of accounts with Active Directory. My long-term project for the two terms was an extensive documentation of the PHRI datacenter including extensive diagramming and tracing.

### Home Depot Canada
##### Store 7021 Burlington, ON
#### Special Services Associate, Tool Rental Associate, Electrical Associate, Cashier
#### Oct. 2006 – Jan. 2013

## <u>Personal Interests</u>

Fantasy and Science Fiction literature, repairing and building computers, performing and composing music, astronomy and astrophysics, science and technology papers and books
